#pragma once

#include "member.h"

namespace cpprtti
{

    /* member */

    member::member(
        cpprtti::type&          p_owner,
        const std::string&      p_name,
        cpprtti::member_type    p_member_type)
        : _owner        (p_owner)
        , _name         (p_name)
        , _member_type  (p_member_type)
        { }

    const cpprtti::type& member::owner() const
        { return _owner; }

    const std::string& member::name() const
        { return _name; }

    member_type cpprtti::member::member_type() const
        { return _member_type; }

}
