# This file contains constant variables that are fixed to this project

# Version
Set                                 ( CPPRTTI_VERSION_MAJOR           1 )
Set                                 ( CPPRTTI_VERSION_MINOR           0 )
Set                                 ( CPPRTTI_VERSION_PATCH           0 )
Set                                 ( CPPRTTI_VERSION_BUILD           0 )
Set                                 ( CPPRTTI_VERSION_HASH            "" )
Set                                 ( CPPRTTI_VERSION_BEHIND          0 )
Set                                 ( CPPRTTI_VERSION_DIRTY           0 )

# Names
Set                                 ( CPPRTTI_PROJECT_NAME            "cpprtti" )
Set                                 ( CPPRTTI_PROJECT_DESCRIPTION     "C++ run time type information library" )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/cpprtti-var.cmake )

# Install directories
Set                                 ( CPPRTTI_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${CPPRTTI_NAME}" )
Set                                 ( CPPRTTI_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( CPPRTTI_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${CPPRTTI_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    17 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
