# This file contains generated variables that are needed for the project

# Git Version
If                                  ( CPPRTTI_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                CPPRTTI_VERSION_MAJOR
                                                CPPRTTI_VERSION_MINOR
                                                CPPRTTI_VERSION_PATCH
                                                CPPRTTI_VERSION_BUILD
                                                CPPRTTI_VERSION_HASH
                                                CPPRTTI_VERSION_BEHIND
                                                CPPRTTI_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( CPPRTTI_VERSION_SHORT
                                      "${CPPRTTI_VERSION_MAJOR}.${CPPRTTI_VERSION_MINOR}" )
Set                                 ( CPPRTTI_VERSION
                                      "${CPPRTTI_VERSION_SHORT}.${CPPRTTI_VERSION_PATCH}.${CPPRTTI_VERSION_BUILD}" )
Set                                 ( CPPRTTI_VERSION_COMPLETE
                                      "${CPPRTTI_VERSION}" )
Set                                 ( CPPRTTI_NAME
                                      "${CPPRTTI_PROJECT_NAME}-${CPPRTTI_VERSION_SHORT}" )
Set                                 ( CPPRTTI_OUTPUTNAME
                                      "${CPPRTTI_PROJECT_NAME}" )
If                                  ( CPPRTTI_VERSION_BEHIND )
    Set                                 ( CPPRTTI_VERSION_COMPLETE
                                          "${CPPRTTI_VERSION_COMPLETE}+${CPPRTTI_VERSION_BEHIND}" )
EndIf                               ( )
